/*!
 * @file Door.h
 * @brief ゲーム中のトラップのプロトタイプ定義
 * @date 2014/01/26
 * @author Deskull
 * 2014 Sikabane Works.
 */

#include "stdafx.h"
#include "Coordinates.h"
#include "GameElement.h"

/*! 
 * @class Door
 * @brief ドアのクラス
 */
class Door : public GameElement
{
private:
	ID floorID; //!<所在フロアID
	Coordinates position; //!<所在座標
public:
	/*! 
	 * @brief Doorクラスコンストラクタ(GameElementメンバ対応)
	 * @param id GameElementのID
	 * @param TAG GameElementのタグ
	 * @param gameWorld 所属元gameWorld参照ポインタ
	 */
	Door::Door(ID id, TAG tag, GameWorld *gameWorld);

	Door::Door(void);

	Door::~Door(void);
};